<?php

// No direct access.
defined('_JEXEC') or die;

class CommonClubsModelClub extends AbstractCommonClubsModel
{
    
    protected function getFactory()
    {
        return new CommonClubsModelFactoryClub();
    }
    
    public function getName()
    {
        return $this->getValues()['name'];
    }
    
    public function getAddress()
    {
        return $this->getValues()['address'];
    }
    
    public function getCity()
    {
        return $this->getValues()['city'];
    }
    
    public function getHomepage()
    {
        return $this->getValues()['homepage'];
    }
    
    public function getMail()
    {
        return $this->getValues()['mail'];
    }
    
    public function getIban()
    {
        return $this->getValues()['iban'];
    }
    
    public function getBic()
    {
        return $this->getValues()['bic'];
    }
    
    public function isCharitable()
    {
        return $this->getValues()['charitable'];
    }
    
    public function getPresident()
    {
        return $this->getValues()['president'];
    }
    
    public function getPlaces()
    {
        return $this->fetchAssociatedElements(new CommonClubsModelFactoryPlace(), 'clubid');
    }
}
