<?php


// No direct access.
defined('_JEXEC') or die;

class ClubsControllerClub extends AbstractClubsController
{
    protected function getNameOfElement()
    {
        return 'club';
    }

    protected function getDataMapping()
    {
        return array(
//             'name' => array('required'=>true, 'name'=>'Bezeichnung', 'filter'=>'string')
            'name' => array('required'=>true, 'name'=>'Club-Name', 'filter'=>'string'),
            'address' => array('required'=>true, 'name'=>'Adresse', 'filter'=>'string'),
            'city' => array('required'=>true, 'name'=>'Stadt', 'filter'=>'string'),
            'homepage' => array('required'=>false, 'name'=>'Homepage', 'filter'=>'string'),
            'mail' => array('required'=>true, 'name'=>'E-Mail', 'filter'=>'string'),
            'iban' => array('required'=>true, 'name'=>'IBAN', 'filter'=>'string'),
            'bic' => array('required'=>true, 'name'=>'BIC', 'filter'=>'string'),
            'charitable' => array('skip_null_check'=>True),
            'president' => array('required'=>true, 'name'=>'Vorsitzender', 'skip_null_check'=>True, 'setter'=>'setPresidentId')
        );
    }

    protected function filterPreCheck(&$values)
    {
        if(is_null($values['charitable']))
            $values['charitable'] = false;
        else 
            $values['charitable'] = true;
        
        $values['president'] = (int)($values['president']);
    }
    
    protected function filterPrePacking(&$values)
    {
        $values['president'] = $values['president']->getId();
    }
}
