<?php

// No direct access.
defined('_JEXEC') or die;

?>

<h1><?php echo $this->clubname; ?></h1>

<div class='clubs_row'>
<div class='clubs_title_row'>Adresse</div>
<div class='clubs_content_row'><?php echo nl2br(htmlentities($this->address)); ?></div>
</div>

<div class='clubs_row'>
<div class='clubs_title_row'>Internet</div>
<div class='clubs_content_row'><?php echo htmlentities($this->internet); ?></div>
</div>

<div class='clubs_row'>
<div class='clubs_title_row'>Kontaktperson</div>
<div class='clubs_content_row'><?php echo htmlentities($this->contactperson); ?></div>
</div>

<div class='clubs_row'>
<div class='clubs_title_row'>Mail-Adresse</div>
<div class='clubs_content_row'><a href='mailto:<?php echo htmlentities($this->email); ?>'><?php echo htmlentities($this->email); ?></a></div>
</div>

<div class='clubs_row'>
<div class='clubs_title_row'>Telefon</div>
<div class='clubs_content_row'><?php echo htmlentities($this->phone); ?></div>
</div>

<div class='clubs_row'>
<div class='clubs_title_row'>Angebote</div>
<div class='clubs_content_row'>
<?php if($this->hasOptions):

    // Put all options there
    foreach($this->options as $k=>$v):
        ?>
    	<input type="checkbox" disabled="disabled" <?php if(isset($v)) echo 'checked="checked"'; ?>> <?php echo htmlentities($k); ?><br />
        <?php
    endforeach;

else:

    // No options specified in the database
    ?>Der Verein hat keine Angebote festgelegt.<?php
endif; ?>
</div>
</div>

<?php if(count($this->trainingPlaces) > 0): ?>
<div class='clubs_row'>
<div class='clubs_title_row'>R&auml;umlichkeiten</div>
<?php foreach($this->trainingPlaces as $p): ?>
<div class='clubs_content_row'>
	<?php echo htmlentities($p['name']); ?><br />
	<?php echo htmlentities($p['street']); ?><br />
	<?php echo htmlentities($p['plz'] . " " . $p['city']); ?>
</div>
<?php endforeach; ?>
</div>
<?php endif; ?>

<?php if(count($this->persons) > 0) : ?>
<div class='clubs_row'>
<div class='clubs_title_row'>Assoziierte Personen</div>
<div class='clubs_content_row'>
	<ul>
<?php foreach($this->persons as $p): ?>
		<li>
			<a href='?option=com_clubs&view=user&id=<?php echo $p['id']; ?>'><?php echo htmlentities($p['name']); ?></a>:
			<?php echo htmlentities($p['position']); ?>
			<?php if ($p['modify']) echo ' (Club-Admin)'; ?>
			<?php if($this->canModify): ?>
    			<a href='?option=com_clubs&view=clubassoc&assoc=<?php echo $p['assoc']; ?>'>&Auml;ndern</a>
    			<a href='?option=com_clubs&task=club.delassoc&assoc=<?php echo $p['assoc']; ?>'>L&ouml;schen</a>
			<?php endif; ?>
		</li>
<?php endforeach; ?>
	</ul>
	<?php if($this->canModify): ?>
	<a href='<?php echo $this->urlNewPerson; ?>'>Neue Assoziation anlegen</a>
	<?php endif; ?>
</div>
</div>
<?php endif; ?>

<?php if($this->canModify): ?>
<div class='clubs_row'>
<a href="?option=com_clubs&view=clubdata&clubid=<?php echo $this->clubid; ?>">Stammdaten anpassen</a><br />
<a href="?option=com_clubs&view=clubplaces&clubid=<?php echo $this->clubid; ?>">R&auml;umlichkeiten anpassen</a><br />
</div>
<?php endif; ?>

