<?php

// No direct access.
defined('_JEXEC') or die;

class ClubsOfferAssociationFactory extends AbstractClubsModelFactory
{
    
    public function __construct()
    {
        parent::__construct('#__club_offer_assocs', 'ClubsOfferAssociation');
    }
    
    protected function getJoins($dbo)
    {
        $ret = array();
        $ret[] = array(
            'name' => '#__club_offers',
            'alias' => 'offer',
            'on' => 'main.offerid = offer.id',
            'select' => 'id as offerId'
        );
        $ret[] = array(
            'name' => '#__club_clubs',
            'alias' => 'club',
            'on' => 'main.clubid = club.id',
            'select' => 'id AS clubId'
        );
        return $ret;
    }
    
}
