<?php

// No direct access.
defined('_JEXEC') or die;

class ClubsPosition extends AbstractClubsModel
{
    protected $name;

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName(string $name)
    {
        $this->name = $name;
    }

    protected function __construct()
    {}
    
    private const tableName = '#__club_positions';
    private const className = 'ClubsPosition';
    
    public static function loadPositions()
    {
        return self::loadElements(self::tableName, self::className);
    }
    
//     public static function loadPositions($clubId)
//     {
//         return self::loadElements(self::tableName, self::className, "clubid = $clubId");
//     }
    
    public static function loadPosition(int $id)
    {
        return self::loadElement($id, self::tableName, self::className);
    }
    
    public static function createPosition()
    {
        $position = new ClubsPosition();
        $position->id = 'new';
        return $position;
    }
    
    protected function getDataMappings()
    {
        return array('name');
    }

    protected function getTableName()
    {
        return self::tableName;
    }

    
    
}
