<?php

// No direct access.
use Joomla\CMS\Router\Route;

defined('_JEXEC') or die;

?>

<form method="post" action="<?php echo $this->address; ?>">
<input type='hidden' name='id' value='<?php echo $this->object->getId(); ?>'>
<table>
  <tr>
    <td>Bezeichnung</td>
    <td><input type='text' name='name' value='<?php echo htmlentities($this->object->getName()); ?>'></td>
  </tr>
  
  <tr>
    <td>Adresse</td>
    <td>
    	<textarea name='address' rows='5'><?php echo htmlentities($this->object->getAddress()); ?></textarea>
	</td>
  </tr>
  
  <tr>
    <td>Stadt</td>
    <td><input type='text' name='city' value='<?php echo htmlentities($this->object->getCity()); ?>'></td>
  </tr>
  
  <tr>
    <td>Homepage</td>
    <td><input type='text' name='homepage' value='<?php echo htmlentities($this->object->getHomepage()); ?>'></td>
  </tr>
  
  <tr>
    <td>E-Mail</td>
    <td><input type='text' name='mail' value='<?php echo htmlentities($this->object->getMail()); ?>'></td>
  </tr>
  <tr>
    <td>IBAN</td>
    <td><input type='text' name='iban' value='<?php echo htmlentities($this->object->getIban()); ?>'></td>
  </tr>
  
  <tr>
    <td>BIC</td>
    <td><input type='text' name='bic' value='<?php echo htmlentities($this->object->getBic()); ?>'></td>
  </tr>
  
  <tr>
    <td>Gemeinn&uuml;tzig</td>
    <td><input type='checkbox' name='charitable' value='1' <?php echo $this->object->isCharitable() ? 'checked' : ''; ?>></td>
  </tr>
  
  <tr>
    <td>Vorsitzende/r</td>
    <td>
    	<select name='president'>
    		<?php foreach($this->users as $u): ?>
    			<option value='<?php echo $u->getId(); ?>' <?php if ($this->object->getPresident() !== null && $this->object->getPresident()->getId() == $u->getId()) echo 'selected="selected"'; ?>>
    				<?php echo htmlentities("{$u->getName()}, {$u->getCity()}"); ?>
				</option>
			<?php endforeach; ?>
    	</select>
    </td>
  </tr>
  
  
  <?php if(! $this->isNew): ?>
  <tr>
    <td>Angebote</td>
    <td>
    	<?php foreach($this->offers as $o): ?>
    		<input type='checkbox' name='offers' value='<?php echo $o['offer']->getId(); ?>' <?php if($o['mark']) echo 'checked="checked"';?>> 
    		<?php echo htmlentities($o['offer']->getName()); ?><br />
    	<?php endforeach; ?>
	</td>
  </tr>
  <tr>
    <td>ID</td>
    <td><?php echo $this->object->getId(); ?></td>
  </tr>
  <?php endif; ?>
</table>

<input type='submit' value='Speichern'> <br /><a href='<?php echo Route::_('index.php?option=com_clubs&view=clubs'); ?>'>Zur&uuml;ck zur &Uuml;bersicht</a>
</form>

