<?php

use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;

// No direct access.
defined('_JEXEC') or die;

class ClubsViewClub extends HtmlView
{
    
    public function display($tpl = null)
    {
        // FIXME Insert code from DB
        $this->clubid = 43;
        $this->clubname = "Testclub";
        $this->address = "Strasse 1\n66123 Ort";
        $this->contactperson = "Max Mustermann";
        $this->email = "me@club.de";
        $this->phone = "012345";
        $this->internet = "http://wichtig.de";
        
        $this->options = array("Step" => NULL, "JMD" => 1, "Divers." => NULL);
        $this->hasOptions = false;
        foreach($this->options as $o)
            if(isset($o))
            {
                $this->hasOptions = true;
                break;
            }
        
        $this->trainingPlaces = array();
//         $this->trainingPlaces[] = array('name'=>'Schule', 'street'=>'Straße', 'city'=>'SB', 'plz'=>'12345');
//         $this->trainingPlaces[] = array('name'=>'Schule', 'street'=>'Straße', 'city'=>'SB', 'plz'=>'12345');

        $this->persons = array();
        $this->persons[] = array('name'=>'Max', 'position'=>'Präsident', 'id'=>3, 'assoc'=>6, 'modify'=>true);
        $this->persons[] = array('name'=>'Max', 'position'=>'Präsident', 'id'=>3, 'assoc'=>7, 'modify'=>false);
        
        $this->canModify = true;
        
        // ?option=com_clubs&view=searchperson&data=<?php echo urlencode('{"clubid":' . $this->clubid . "}");
        $dataValue = array();
        $dataValue['clubid'] = $this->clubid;
        
        $dataAbort = array(
            'urlAbort' => (Uri::getInstance()->toString()),
            'urlSelect' => '?option=com_clubs&view=clubassoc&person=%u',
            'data' => json_encode($dataValue)
        );
        $this->urlNewPerson = htmlentities("?option=com_clubs&view=searchperson&" . http_build_query($dataAbort));
        
        Factory::getDocument()->addStyleSheet(Uri::base(true) .  "components/com_clubs/css/clubs.css");
        
        parent::display($tpl);
    }
}
