<?php

use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Factory;

// No direct access.
defined('_JEXEC') or die;

JLoader::register("ClubsHelperAuth", JPATH_ROOT . "/components/com_clubs/helpers/auth.php");

class ClubsViewLogin extends HtmlView
{
    
    public function display($tpl = null)
    {
        $helper = new ClubsHelperAuth();
        if($helper->checkCookie())
        {
            // we are logged in
            $this->setLayout('logout');
            parent::display(null);
        }
        else
        {
            $this->state = Factory::getApplication()->input->get("state", "");
            parent::display($tpl);
        }
    }
    
}
