<?php

use Joomla\CMS\Factory;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Uri\Uri;

// No direct access.
defined('_JEXEC') or die;

class ClubsViewSearchPerson extends HtmlView
{
    
    public function display($tpl = null)
    {
        // FIXME Insert code from DB
        $inp = Factory::getApplication()->input;
        
        $this->search = $inp->get('search', '');
        $this->urlAbort = $inp->get('urlAbort', '?option=com_clubs', 'raw');
        $this->urlSelect = $inp->get('urlSelect', '?option=com_clubs', 'raw');
        
        $this->formAction = Uri::getInstance()->toString();
        
        $this->searchDone = true;
        
        $this->searchResult = array();
        $this->searchResult[] = array('name'=>'Max Mustermann', 'city'=>'Völklingen', 'id'=>21);
        
        Factory::getDocument()->addStyleSheet(Uri::base(true) .  "components/com_clubs/css/clubs.css");
        
        parent::display($tpl);
    }
    
}
